Yapper Docs
Api reference
PATCH
/library/folders/{folderId}

Changes the name and/or color. Only the folder's creator or a workspace owner or admin can (403 forbidden otherwise).

Authorization

bearerAuth assets:write
AuthorizationBearer <token>

In: header

Scope: assets:write

Path Parameters

folderId*string

Library folder id (GET /library/folders).

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Properties1 <= properties

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/library/folders/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "name": "string",  "color": "stone",  "createdBy": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "links": {    "self": "string",    "assets": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}